/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Extension Manager UI.
 *
 * The Initial Developer of the Original Code is
 * the Mozilla Foundation.
 * Portions created by the Initial Developer are Copyright (C) 2010
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Blair McBride <bmcbride@mozilla.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

@namespace xhtml "http://www.w3.org/1999/xhtml";

/* HTML link elements do weird things to the layout if they are not hidden */
xhtml|link {
  display: none;
}

#categories {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#categories-list");
}

.category {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#category");
}

.sort-controls {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#sorters");
}

.addon[status="installed"] {
  -moz-box-orient: vertical;
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-generic");
}

.addon[status="installing"] {
  -moz-box-orient: vertical;
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-installing");
}

.addon[pending="uninstall"] {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#addon-uninstalled");
}

.creator {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#creator-link");
}

.meta-rating {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#rating");
}

.download-progress, .download-progress[mode="undetermined"] {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#download-progress");
}

.install-status {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#install-status");
}

.detail-row {
  -moz-binding: url("chrome://mozapps/content/extensions/extensions.xml#detail-row");
}

#addonitem-popup > menuitem[disabled="true"] {
  display: none;
}

#addonitem-popup[addontype="theme"] > #menuitem_enableItem,
#addonitem-popup[addontype="theme"] > #menuitem_disableItem,
#addonitem-popup:not([addontype="theme"]) > #menuitem_enableTheme,
#addonitem-popup:not([addontype="theme"]) > #menuitem_disableTheme {
  display: none;
}

#header-searching:not([active]) {
  visibility: hidden;
}

#search-list[local="false"]  > .addon[remote="false"],
#search-list[remote="false"] > .addon[remote="true"] {
  visibility: collapse;
}

#detail-view {
  overflow: auto;
}

.addon:not([notification="warning"]) .warning,
.addon:not([notification="error"]) .error,
.addon:not([notification="info"]) .info,
.addon:not([pending]) .pending,
.addon:not([upgrade="true"]) .update-postfix,
.addon[active="true"] .disabled-postfix,
.addon[pending="install"] .update-postfix,
.addon[pending="install"] .disabled-postfix,
#detail-view:not([notification="warning"]) .warning,
#detail-view:not([notification="error"]) .error,
#detail-view:not([notification="info"]) .info,
#detail-view:not([pending]) .pending,
#detail-view:not([upgrade="true"]) .update-postfix,
#detail-view[active="true"] .disabled-postfix,
#detail-view[loading] .detail-view-container,
#detail-view:not([loading]) .alert-container,
.detail-row:not([value]),
#search-list[remote="false"] #search-allresults-link {
  display: none;
}

#addons-page:not([warning]) #list-view > .global-warning-container {
  display: none;
}
#addon-list .date-updated {
  display: none;
}

.view-pane:not(#updates-view) .addon .relnotes-toggle,
.view-pane:not(#updates-view) .addon .include-update,
#updates-view:not([updatetype="available"]) .addon .include-update,
#updates-view[updatetype="available"] .addon .update-available-notice {
  display: none;
}

#addons-page:not([warning]) .global-warning,
#addons-page:not([warning="safemode"]) .global-warning-safemode,
#addons-page:not([warning="checkcompatibility"]) .global-warning-checkcompatibility,
#addons-page:not([warning="updatesecurity"]) .global-warning-updatesecurity {
  display: none;
}

/* Plugins aren't yet disabled by safemode (bug 342333),
   so don't show that warning when viewing plugins. */
#addons-page[warning="safemode"] .view-pane[type="plugin"] .global-warning,
#addons-page[warning="safemode"] #detail-view[loading="true"] .global-warning {
  display: none;
}

.addon .relnotes {
  -moz-user-select: text;
}

/* Make sure we're not animating hidden images. See bug 623739. */
#view-port:not([selectedIndex="0"]) #discover-view .loading,
#discover-view:not([selectedIndex="0"]) .loading {
  display: none;
}

/* Elements in unselected richlistitems cannot be focused */
richlistitem:not([selected]) * {
  -moz-user-focus: ignore;
}
